[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTabControl.Create

Constructor for the class instance.

## Declaration

Source position: comctrls.pp line 474

`public constructor TCustomTabControl.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for TCustomTabControl, and calls the inherited Create method on entry. Create allocates resources needed for the internal page list and the change link for its image list. It sets the default values for properties, including: PageIndex, ControlStyle, TabPosition, TabStop and ShowTabs. It also sets the initial bounds for the control to the values returned from GetControlClassDefaultSize.

## See also

TWinControl.Create |  | Constructor for the class instance.